## org.jfree.data.general
Interface PieDataset

All Superinterfaces:
  Dataset, KeyedValues, Values

All Known Subinterfaces:
  KeyedValuesDataset

All Known Implementing Classes:
  CategoryToPieDataset, DefaultKeyedValuesDataset, DefaultPieDataset, JDBCPieDataset

    public interface PieDataset

extends KeyedValues, Dataset

A general purpose dataset where values are associated with keys. As the name suggests, you can use this dataset to supply data for pie charts (refer to the `PiePlot` class).

Method Summary

Methods inherited from interface org.jfree.data.KeyedValues
`getIndex, getKey, getKeys, getValue`

Methods inherited from interface org.jfree.data.Values
`getItemCount, getValue`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`